Bug 626584 - Traceback on pulp-admin package install when you try to install a package that is already on the system.
Summary: Traceback on pulp-admin package install when you try to install a package tha...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: z_other   
(Show other bugs)
Version: unspecified
Hardware: All Linux
low
low
Target Milestone: ---
: ---
Assignee: Pradeep Kilambi
QA Contact: Preethi Thomas
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks: verified-to-close
TreeView+ depends on / blocked
 
Reported: 2010-08-23 21:12 UTC by Preethi Thomas
Modified: 2011-07-15 19:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-17 16:52:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Preethi Thomas 2010-08-23 21:12:29 UTC
Description of problem:


[root@preethi yum.repos.d]# rpm -qa |grep zshzsh-4.3.10-5.fc13.x86_64
[root@preethi yum.repos.d]# pulp-admin -u admin -p admin package install -n zsh --consumerid=preethi.usersys.redhat.com
"Traceback (most recent call last):\n  File \"/usr/lib/python2.6/site-packages/pulp/server/webservices/controllers/base.py\", line 51, in report_error\n    return method(self, *args, **kwargs)\n  File \"/usr/lib/python2.6/site-packages/pulp/server/webservices/controllers/consumers.py\", line 310, in POST\n    return action(id)\n  File \"/usr/lib/python2.6/site-packages/pulp/server/webservices/role_check.py\", line 105, in check_roles\n    ret=f(instance, *fargs, **kw)\n  File \"/usr/lib/python2.6/site-packages/pulp/server/webservices/controllers/consumers.py\", line 262, in installpackages\n    return self.ok(api.installpackages(id, names))\n  File \"/usr/lib/python2.6/site-packages/pulp/server/auditing.py\", line 186, in _audit\n    result = method(*args, **kwargs)\n  File \"/usr/lib/python2.6/site-packages/pulp/server/api/consumer.py\", line 196, in installpackages\n    agent.packages.install(packagenames)\n  File \"/usr/lib/python2.6/site-packages/pulp/messaging/stub.py\", line 69, in __call__\n    return self.stub._send(request, opts)\n  File \"/usr/lib/python2.6/site-packages/pulp/messaging/stub.py\", line 111, in _send\n    any=opts.any)\n  File \"/usr/lib/python2.6/site-packages/pulp/messaging/policy.py\", line 121, in send\n    return self.__getreply(sn)\n  File \"/usr/lib/python2.6/site-packages/pulp/messaging/policy.py\", line 146, in __getreply\n    raise Exception, reply.exval\nException: Traceback (most recent call last):\n\n  File \"/usr/lib/python2.6/site-packages/pulp/messaging/dispatcher.py\", line 180, in __call__\n    retval = method(*args, **keywords)\n\n  File \"/usr/lib/python2.6/site-packages/pulp/client/agent/remote.py\", line 72, in install\n    yb.processTransaction()\n\n  File \"/usr/lib/python2.6/site-packages/yum/__init__.py\", line 4167, in processTransaction\n    self._doTestTransaction(callback,display=rpmTestDisplay)\n\n  File \"/usr/lib/python2.6/site-packages/yum/__init__.py\", line 4266, in _doTestTransaction\n    raise Errors.YumTestTransactionError, errstring\n\nYumTestTransactionError: Test Transaction Errors:   package zsh-4.3.10-5.fc13.x86_64 is already installed\n\n\n"
[root@preethi yum.repos.d]#

Comment 1 Pradeep Kilambi 2010-10-27 19:33:57 UTC
This should now report more gracefully and redirect the traceback to client.log


$ sudo pulp-admin -u admin -p admin package install --consumerid=test-consumer -n grinder
Created task id: c3fd0828-e1ff-11df-b211-0023ae793dbc
.........................................
[[u'grinder-0.0.63-1.fc13.noarch']] installed on test-consumer

$ sudo pulp-admin -u admin -p admin package install --consumerid=test-consumer -n grinder
Created task id: 03be7ab3-e200-11df-93e5-0023ae793dbc
.........
Package install failed

client.log:

{
  "origin": "5ebff81e-e443-47b7-8d93-54b4a994c0c9", 
  "version": "0.1", 
  "sn": "de008620-c601-40b7-82ee-83f1afb2ce31", 
  "any": "03be7ab3-e200-11df-93e5-0023ae793dbc", 
  "result": {
    "exval": "Traceback (most recent call last):\n\n  File \"/home/pkilambi/code/pulp/src/pulp/messaging/dispatcher.py\", line 180, in __call__\n    retval = method(*args, **keywords)\n\n  File \"/home/pkilambi/code/pulp/src/pulp/client/agent/plugins/remote.py\", line 77, in install\n    yb.processTransaction()\n\n  File \"/usr/lib/python2.6/site-packages/yum/__init__.py\", line 4167, in processTransaction\n    self._doTestTransaction(callback,display=rpmTestDisplay)\n\n  File \"/usr/lib/python2.6/site-packages/yum/__init__.py\", line 4266, in _doTestTransaction\n    raise Errors.YumTestTransactionError, errstring\n\nYumTestTransactionError: Test Transaction Errors:   package grinder-0.0.63-1.fc13.noarch is already installed\n\n"
  }
}

Comment 2 Jay Dobies 2010-10-29 16:58:29 UTC
Fixed in 0.77.

Comment 3 Jay Dobies 2010-11-03 19:35:31 UTC
Fixed in build 0.78.

Comment 4 Preethi Thomas 2010-11-10 14:44:47 UTC
verified

[root@preethi ~]#  pulp-admin -u admin -p redhat package install -n zsh --consumerid=preethi.usersys.redhat.com
Created task id: 08798280-ecda-11df-9981-002564a85a58
............
[[u'zsh-4.3.10-5.fc13.x86_64', u'zsh-4.3.10-5.fc13.x86_64']] installed on preethi.usersys.redhat.com

[root@preethi ~]#  pulp-admin -u admin -p redhat package install -n zsh --consumerid=preethi.usersys.redhat.com
Created task id: 1d3e619c-ecda-11df-a19d-002564a85a58
.
Package install failed

Comment 5 Preethi Thomas 2011-02-17 16:52:10 UTC
Closing with community release 

pulp-0.0.139-1.fc14.noarch


Note You need to log in before you can comment on or make changes to this bug.